import { VirtualElement } from '..';
declare class EventElement {
    element: Element | VirtualElement;
    handlers: Record<string, ((...args: any[]) => void)[]>;
    constructor(element: Element & VirtualElement);
    bind(eventName: any, handler: any): void;
    unbind(eventName: any, target?: any): void;
    unbindAll(): void;
    get isEmpty(): boolean;
}
export default class EventManager {
    eventElements: EventElement[];
    constructor();
    eventElement(element: any): EventElement;
    bind(element: any, eventName: any, handler: any): void;
    unbind(element: any, eventName: any, handler: any): void;
    unbindAll(): void;
    once(element: any, eventName: any, handler: any): void;
}
export {};
